@extends('Admin.adminmaster')
@section('title','Properties To Sell Management')
@section('content')

<div class="row" style="margin: 18px 0;">
  <div class="col-md-6" style="border: 2px solid green;">
  {{-- <h3 style="text-align: center;">Rentals and Properties Locations</h3>
    <div class="p-10" style="margin-bottom:20px;">
        <a class="btn btn-success" href="#" id="propertycategorymodal" data-toggle="modal">Add A New Location</a>
    </div>
    <table id="rentalpropertylocationtable" class="table table-striped table-bordered" style="width:100%; margin:20px;">
      <thead>
        <tr>
          <td scope="col">id</td>
          <td scope="col">Name</td>
          <td scope="col">Status</td>
          <td scope="col">Actions</td>
        </tr>
      </thead>
      <tbody>
        
      </tbody>
    </table> --}}
  </div>
  <div class="col-md-6" style="border: 2px solid green;"
  >
    <h3 style="text-align: center;">Property Categories</h3>
    <div class="p-10" style="margin-bottom:20px;">
        <a class="btn btn-success" href="#" data-target="#propertycategorymodal" data-toggle="modal">Add A New Property Category</a>
    </div>
    <table id="propertycategorytable" class="table table-striped table-bordered" style="width:100%; margin:20px;">
      <thead>
        <tr>
          <td scope="col">id</td>
          <td scope="col">Name</td>
          <td scope="col">Status</td>
          <td scope="col">Actions</td>
        </tr>
      </thead>
      <tbody>
        
      </tbody>
    </table>
  </div>
</div>
{{-- <div class="row" style="margin-top: 20px;">
  <table id="rentalhouses" class="table table-striped table-bordered" style="width:100%; margin-top:50px;">
    <thead>
      <tr>
        <td>id</td>
        <td>Property Name</td>
        <td>Property Category</td>
        <td>Property Price</td>
        <td>Property Location</td>
        <td>Property Status</td>
        <td>Sold</td>
        <td>Property Image</td>
        <td>Action</td>
      </tr>
    </thead>
    <tbody>
      
    </tbody>
  </table>
</div> --}}

@endsection

@section('propertycatmgmtscript')
    <script>
        // show products in a datatable
        var propertycatstable = $('#propertycategorytable').DataTable({
          processing:true,
          serverside:true,

          ajax:"{{ route('get_propertycategories') }}",
          columns: [
            { data: 'id' },
            { data: 'propertycat_title' },
            {data: 'status',
                    "render": function (data, type, row) {
            
                      if ( row.status == '1') {
                        return 'Active';
                      }else {
                          return 'In_Active';
                      }
                    }
            
                },
            { data: 'action',name:'action',orderable:false,searchable:false },
          ]
        });

        // add a new property category
        $(document).ready(function(){

          $('.modal-title').html('Create A New Property Category');
          $('.save_button').html('Save Property Category');

          var form = $('#propertcat_form')[0];

          $('.save_button').click(function(){
            $('.error_messages').html('');

            var formdata=new FormData(form);
            console.log(formdata);

            $.ajax({
              url:'{{ route("storepropertycat") }}',
              method:'POST',
              processData:false,
              contentType:false,
              data:formdata,
              success:function(response)
              {

                alertify.set('notifier','position', 'top-right');
                alertify.success(response.success);
                propertycatstable.draw();
                $('.propertycategory').modal('hide');
                console.log(response)

              }
              ,error:function(error)
              {
                console.log(error)
                if(error)
                {
                  console.log(error.responseJSON.errors.property_category);
                  $('#catname_error').html(error.responseJSON.errors.property_category);
                }
              }
            });
          })
        })

        // edit property categories
        $('body').on('click','.editbutton',function(){
          var catid=$(this).data('id');

          $.ajax({
            url:'{{ url("admin/propertycategories",'') }}' + '/' + catid + '/edit',
            method:'GET',
            success:function(response){
              console.log(response);

              $('.propertycategory').modal('show');
              $('.modal-title').html('Edit Property Category');
              $('.save_button').html('Update Property Category');

              $('#propertycat_id').val(response.id);
              $('#property_category').val(response.propertycat_title);

            },error:function(error){
              console.log(error)
                if(error)
                {
                  console.log(error.responseJSON.errors.property_category);
                  $('#catname_error').html(error.responseJSON.errors.property_category);
                }
            }
          })
        })

        // Delete proerty ctegory
        $(document).on('click','#deletepropertycat',function(){

          var catid=$(this).data('id');

          $('.removepropertycategory').modal('show');
          $('.modal-title').html('Delete Property Category');
          $('#propertycategory_id').val(catid);

        })

        $(document).on('click','#deletepropertycategory',function()
        {

          var deleteid=$('#propertycategory_id').val();

          $.ajax({
            type:"DELETE",
            url:'{{ url("admin/delete_propertycat",'') }}' + '/' + deleteid,
            dataType:"json",
            success:function(response)
            {
              $('.removepropertycategory').modal('hide');
              alertify.set('notifier','position', 'top-right');
              alertify.success(response.message);
            }

            // success:function(response){
            //   console.log(response)
            //   if (response.status==404) {

            //     alertify.set('notifier','position', 'top-right');
            //     alertify.success(response.message);
            //     $('.removepropertycategory').modal('hide');
            //     // $('.catinput').html('');
            //     // $('.error_messages').html('');
            //     // $('.catlabel').html('');

            //   } else if (response.status==200)
            //   {
                
            //     // $('.catinput').html('');
            //     // $('.error_messages').html('');
            //     // $('.catlabel').html('');

            //   }
            // }
          })
        })

    </script>
@stop

